servicemix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Freeman Fang <freeman.f...@gmail.com>
Subject Re: svn commit: r722338 - /servicemix/components/components-pom/trunk/pom.xml
Date Tue, 02 Dec 2008 09:11:36 GMT
Hi Guillaume,

Thanks for pointing it out, I will fix it accrodingly.
Regards
Freeman

Guillaume Nodet wrote:
> I think those two modules have been refactored into other spring
> modules (see http://forum.springframework.org/showthread.php?t=46447&page=2)
> Those dependencies must be removed and use the correct spring modules
> in 2.5.5 version instead.
>
> On Tue, Dec 2, 2008 at 8:54 AM, Freeman Fang <freeman.fang@gmail.com> wrote:
>   
>> Hi Guillaume,
>>
>> The latest version for spring-support, spring-jmx and spring-remoting is
>> 2.0.8 on http://repo1.maven.org/maven2/org/springframework/, and I can't
>> find the 2.5.5 for those 3 spring module anywhere, so I think it's the
>> latest version for those modules.
>> The reason it works before is that in the sub-module of the components, the
>> spring version is overrided by 2.0.8, so when we change all spring version
>> to 2.5.5, we get error like can't find spring-jmx-2.5.5.
>>
>> Freeman
>>
>> Guillaume Nodet wrote:
>>     
>>> I think we're using spring 2.5.x and not 2.0.x.  Is there any reason
>>> for such a change?
>>>
>>> On Tue, Dec 2, 2008 at 4:18 AM,  <ffang@apache.org> wrote:
>>>
>>>       
>>>> Author: ffang
>>>> Date: Mon Dec  1 19:18:24 2008
>>>> New Revision: 722338
>>>>
>>>> URL: http://svn.apache.org/viewvc?rev=722338&view=rev
>>>> Log:
>>>> [SM-1709]unify third party libs used across servicemix projects
>>>>
>>>> Modified:
>>>>   servicemix/components/components-pom/trunk/pom.xml
>>>>
>>>> Modified: servicemix/components/components-pom/trunk/pom.xml
>>>> URL:
>>>> http://svn.apache.org/viewvc/servicemix/components/components-pom/trunk/pom.xml?rev=722338&r1=722337&r2=722338&view=diff
>>>>
>>>> ==============================================================================
>>>> --- servicemix/components/components-pom/trunk/pom.xml (original)
>>>> +++ servicemix/components/components-pom/trunk/pom.xml Mon Dec  1
>>>> 19:18:24 2008
>>>> @@ -50,15 +50,15 @@
>>>>
>>>>    <!-- Common runtime dependencies -->
>>>>    <spring-version>2.5.5</spring-version>
>>>> -    <commons-logging-version>1.1</commons-logging-version>
>>>> -    <geronimo-jta-api-version>1.1</geronimo-jta-api-version>
>>>> +    <commons-logging-version>1.1.1</commons-logging-version>
>>>> +    <geronimo-jta-api-version>1.1.1</geronimo-jta-api-version>
>>>>
>>>>    <!-- Common XML Parsers -->
>>>>    <stax-api-version>1.0.1</stax-api-version>
>>>>    <jaxb-api-version>2.1</jaxb-api-version>
>>>>    <jaxb-impl-version>2.1.6</jaxb-impl-version>
>>>>    <jaxb-xjc-version>2.1.6</jaxb-xjc-version>
>>>> -    <woodstox-version>3.2.2</woodstox-version>
>>>> +    <woodstox-version>3.2.6</woodstox-version>
>>>>    <xalan-version>2.7.0</xalan-version>
>>>>    <xercesImpl-version>2.8.1</xercesImpl-version>
>>>>    <xml-apis-version>1.3.04</xml-apis-version>
>>>> @@ -66,7 +66,7 @@
>>>>    <wsdl4j-version>1.6.2</wsdl4j-version>
>>>>
>>>>    <!-- For testing -->
>>>> -    <junit-version>3.8.1</junit-version>
>>>> +    <junit-version>4.4</junit-version>
>>>>
>>>>    <!-- Tooling -->
>>>>    <jbi-maven-plugin-version>3.2.1</jbi-maven-plugin-version>
>>>> @@ -121,7 +121,7 @@
>>>>      <dependency>
>>>>        <groupId>org.springframework</groupId>
>>>>        <artifactId>spring-support</artifactId>
>>>> -        <version>${spring-version}</version>
>>>> +        <version>2.0.8</version>
>>>>      </dependency>
>>>>      <dependency>
>>>>        <groupId>org.springframework</groupId>
>>>> @@ -131,7 +131,7 @@
>>>>      <dependency>
>>>>        <groupId>org.springframework</groupId>
>>>>        <artifactId>spring-jmx</artifactId>
>>>> -        <version>${spring-version}</version>
>>>> +        <version>2.0.8</version>
>>>>      </dependency>
>>>>      <dependency>
>>>>        <groupId>org.springframework</groupId>
>>>> @@ -151,7 +151,7 @@
>>>>      <dependency>
>>>>        <groupId>org.springframework</groupId>
>>>>        <artifactId>spring-remoting</artifactId>
>>>> -        <version>${spring-version}</version>
>>>> +        <version>2.0.8</version>
>>>>        <exclusions>
>>>>          <exclusion>
>>>>            <groupId>org.springframework</groupId>
>>>>
>>>>
>>>>
>>>>
>>>>         
>>>
>>>
>>>       
>>     
>
>
>
>   


Mime
View raw message